--
-- $Id$
--
-- <<Aanmaken tabellen voor import jaarplanning meldingen>>

DEFINE thisfile = 'CSUN#54997.SQL'
DEFINE dbuser   = '^CSUN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE TABLE CSUN_IMP_MLD
(
  FAC_IMPORT_KEY       NUMBER(10),
  FAC_IMPORT_INDEX     NUMBER(10),
  FAC_IMPORT_DATUM     DATE,
  MLD_STDMELDING_KEY   NUMBER(10),
  MLD_STDMELDING_OMS   VARCHAR2(60 BYTE),
  ALG_LOCATIE_CODE      VARCHAR2(60 BYTE),
  ALG_LOCATIE_OMS      VARCHAR2(60 BYTE),
  UITVOERDATUM         DATE,
  UITVOERWEEK          VARCHAR2(30 BYTE),
  UITVOERMAAND         VARCHAR2(30 BYTE),
  UITVOERJAAR          VARCHAR2(30 BYTE),
  ONDERWERP            VARCHAR2(100 BYTE),
  OMSCHRIJVING         VARCHAR2(100 BYTE),
  MLD_MELDING_DATUM    DATE,
  MLD_MELDING_KEY      NUMBER(10)
);

CREATE TABLE CSUN_IMP_MLD2
(
  FAC_IMPORT_KEY       NUMBER(10),
  FAC_IMPORT_INDEX     NUMBER(10),
  FAC_IMPORT_DATUM     DATE,
  MLD_STDMELDING_KEY   NUMBER(10),
  MLD_STDMELDING_OMS   VARCHAR2(60 BYTE),
  ALG_LOCATIE_KEY      NUMBER(10),
  ALG_LOCATIE_OMS      VARCHAR2(60 BYTE),
  UITVOERDATUM         DATE,
  UITVOERWEEK          VARCHAR2(30 BYTE),
  UITVOERMAAND         VARCHAR2(30 BYTE),
  UITVOERJAAR          VARCHAR2(30 BYTE),
  ONDERWERP            VARCHAR2(100 BYTE),
  OMSCHRIJVING         VARCHAR2(100 BYTE),
  MLD_MELDING_DATUM    DATE,
  MLD_MELDING_KEY      NUMBER(10)
);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
